[ MDVSA-2009:286 ] ocaml-camlimages




-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDVSA-2009:286
http://www.mandriva.com/security/
_______________________________________________________________________

Package : ocaml-camlimages
Date : October 21, 2009
Affected: Enterprise Server 5.0
_______________________________________________________________________

Problem Description:

Multiple vulnerabilities has been found and corrected in
ocaml-camlimages:

Multiple integer overflows in CamlImages 2.2 and earlier might allow
context-dependent attackers to execute arbitrary code via a crafted
PNG image with large width and height values that trigger a heap-based
buffer overflow in the (1) read_png_file or (2) read_png_file_as_rgb24
function (CVE-2009-2295).

Multiple integer overflows in CamlImages 2.2 might allow
context-dependent attackers to execute arbitrary code via images
containing large width and height values that trigger a heap-based
buffer overflow, related to (1) crafted GIF files (gifread.c) and
(2) crafted JPEG files (jpegread.c), a different vulnerability than
CVE-2009-2295 (CVE-2009-2660).

Multiple integer overflows in tiffread.c in CamlImages 2.2 might allow
remote attackers to execute arbitrary code via TIFF images containing
large width and height values that trigger heap-based buffer overflows
(CVE-2009-3296).

This update fixes these vulnerabilities.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2295
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2660
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-3296
_______________________________________________________________________

Updated Packages:

Mandriva Enterprise Server 5:
2e82da518bb4687524fe24129913de33 mes5/i586/ocaml-camlimages-2.20-13.1mdvmes5.i586.rpm
16dbf053847c1f5198b2c4f8bf5470ee mes5/i586/ocaml-camlimages-devel-2.20-13.1mdvmes5.i586.rpm
b2d32951983d38770ed111f9afc25ea9 mes5/SRPMS/ocaml-camlimages-2.20-13.1mdvmes5.src.rpm

Mandriva Enterprise Server 5/X86_64:
5d937a20f8ec1347b870ccda4273f39f mes5/x86_64/ocaml-camlimages-2.20-13.1mdvmes5.x86_64.rpm
2349fd3eb0bd09cf565ca2f4b6417cf5 mes5/x86_64/ocaml-camlimages-devel-2.20-13.1mdvmes5.x86_64.rpm
b2d32951983d38770ed111f9afc25ea9 mes5/SRPMS/ocaml-camlimages-2.20-13.1mdvmes5.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
<security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFK3vgkmqjQ0CJFipgRAtUEAKC7iIY5NKkwjrljONEWTwed6iGqrwCeNJS9
TpGblf1r0PFy2sY+X09MHaQ=
=3tDz
-----END PGP SIGNATURE-----



Relevant Pages

  • [Full-disclosure] [ MDVSA-2013:203 ] phpmyadmin
    ... Package: phpmyadmin ... Business Server 1.0, Enterprise Server 5.0 ... XSS vulnerabilities in setup, chart display, process list, and ... Mandriva Enterprise Server 5/X86_64: ...
    (Full-Disclosure)
  • [ MDVSA-2013:203 ] phpmyadmin
    ... Package: phpmyadmin ... Business Server 1.0, Enterprise Server 5.0 ... XSS vulnerabilities in setup, chart display, process list, and ... Mandriva Enterprise Server 5/X86_64: ...
    (Bugtraq)
  • [Full-disclosure] [ MDVSA-2009:234-1 ] silc-toolkit
    ... Affected: Enterprise Server 5.0 ... Multiple format string vulnerabilities in lib/silcclient/client_entry.c ... Mandriva Enterprise Server 5/X86_64: ...
    (Full-Disclosure)
  • [ MDVSA-2009:234-1 ] silc-toolkit
    ... Affected: Enterprise Server 5.0 ... Multiple format string vulnerabilities in lib/silcclient/client_entry.c ... Mandriva Enterprise Server 5/X86_64: ...
    (Bugtraq)
  • [Full-disclosure] [ MDVSA-2009:286 ] ocaml-camlimages
    ... Affected: Enterprise Server 5.0 ... Multiple integer overflows in CamlImages 2.2 and earlier might allow ... This update fixes these vulnerabilities. ... Mandriva Enterprise Server 5/X86_64: ...
    (Full-Disclosure)